Bug 67100 - it depends on python, but no dependency is built into the package
it depends on python, but no dependency is built into the package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-switchmail (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 20:29 EDT by Florin Andrei
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 20:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2002-06-19 20:29:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
The package allows to be installed without verifying that Python is already
installed. When you try to run redhat-switchmail-nox, it fails because there's
no python interpreter

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install 7.3 "custom" but disable all package categories
2.install redhat-switchmail
3.try to run redhat-switchmail-nox
	

Actual Results:  it fails, saying there's no python interpreter available

Expected Results:  when installing the package, it should refuse to be
installed, saying it needs python as a package dependency

Additional info:

perhaps you should create two packages, one with the GUI, the other with the
-nox utility, each one with its own dependencies
Comment 1 Ngo Than 2002-06-20 05:31:27 EDT
it's now fixed in 0.5.7-1.

Note You need to log in before you can comment on or make changes to this bug.